<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HazardObs extends BaseModel
{
    use HasFactory;

    public function HazardObsImages(){
        return $this->hasMany(HazardObsImage::class,'hazard_obs_id','id');
    }
    public function siteData(){
        return $this->hasMany(Sites::class,'id','site_id');
    }
    public function closedBy()
    {
        return $this->belongsTo(EmpPersonalDetails::class, 'closed_by', 'emp_id');
    }
    
}
